<?php
/**
 * @Statement: [ An Ordinary Person ]
 * @Author: 闻子 < QQ：270988107 >
 * @Copyright: 闻子 2016-2019 All rights reserved.
 *
 *    .--,       .--,
 *   ( (  \.---./  ) )
 *    '.__/o   o\__.'
 *       {=  ^  =}
 *        >  -  <
 *       /       \
 *      //       \\
 *     //|   .   |\\
 *     "'\       /'"_.-~^`'-.
 *        \  _  /--'         `
 *      ___)( )(___
 *     (((__) (__)))    高山仰止,景行行止.虽不能至,心向往之.
 *
 */

namespace app\common\behavior;

use think\Loader;

use think\Db;

use think\facade\Request;

use think\Controller;

class InitBase extends Controller
{

    /**
     * 定义行为方法
     * @author 闻子 <270988107@qq.com>
     */    
    public function run()
    {
        
        $this->initConst();
        
    }

    /**
     * 初始方法
     * @author 闻子 <270988107@qq.com>
     */    
    private function initConst()
    {
        
        $this->initResultConst();

        $this->initDataStatusConst();
        
        $this->initTimeConst();

        $this->initDbInfo();

        $this->initSystemConst();
        
    }

    /**
     * 数据库信息
     * @author 闻子 <270988107@qq.com>
     */ 
    private function initDbInfo()
    {
        
        $database_config = config('database');
        
        $list_rows = config('list_rows');
    
        define('DB_PREFIX', $database_config['prefix']);
        
        empty($list_rows) ? define('DB_LIST_ROWS', 10) : define('DB_LIST_ROWS', $list_rows);

    }

    /**
     * 定义跳转信息常量
     * @author 闻子 <270988107@qq.com>
     */ 
    private function initResultConst()
    {
        
        define('RESULT_SUCCESS' , 'success');
        define('RESULT_ERROR'   , 'error');
        define('RESULT_REDIRECT', 'redirect');
        define('RESULT_MESSAGE' , 'message');
        define('RESULT_URL'     , 'url');
        define('RESULT_DATA'    , 'data');

    }

    /**
     * 定义状态常量
     * @author 闻子 <270988107@qq.com>
     */ 
    private function initDataStatusConst()
    {
        
        define('DATA_COMMON_STATUS' ,  'status');
        define('DATA_NORMAL'        ,  1);
        define('DATA_DISABLE'       ,  0);
        define('DATA_DELETE'        , -1);
        define('DATA_SUCCESS'       , 1);
        define('DATA_ERROR'         , 0);

    }

    /**
     * 定义时间常量
     * @author 闻子 <270988107@qq.com>
     */ 
    private function initTimeConst()
    {
        
        define('TIME_CT_NAME' ,  'create_time');
        define('TIME_UT_NAME' ,  'update_time');
        define('TIME_NOW'     ,   date("Y-m-d h:i:s"));

    }

    /**
     * 定义路径常量
     * @author 闻子 <270988107@qq.com>
     */ 
    private function initSystemConst()
    {

    	define('DIR_DSS','/');

    }

}